6.0.0-git
2021-01-18

[#9864] Security option for cyrsql not selectable
Summary Security option for cyrsql not selectable
Queue Horde Base
Queue Version 4.0
Type Bug
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester xk3 (at) mompl (dot) org
Created 2011-04-10 (3571 days ago)
Due
Updated 2011-04-11 (3570 days ago)
Assigned 2011-04-11 (3570 days ago)
Resolved 2011-04-11 (3570 days ago)
Milestone
Patch No

History
2011-04-11 04:56:00 Chuck Hagenbuch Comment #4
State ⇒ Resolved
Reply to this comment
Fixed. You'll need to regenerate the config since because of the 
parameter name clash, changing one or the other set of names was 
unavoidable.
2011-04-11 04:55:19 Git Commit Comment #3 Reply to this comment
Changes have been made in Git for this ticket:

Fix cyrsql configuration, rename cyrus host and port parameters to 
avoid clashing with Horde_Db parameters (Bug #9864).

  4 files changed, 15 insertions(+), 6 deletions(-)
http://git.horde.org/horde-git/-/commit/4fd07bb45b3b954cc8aba45ceb4c528c34eed0e3
2011-04-11 04:52:38 Chuck Hagenbuch Assigned to Chuck Hagenbuch
State ⇒ Assigned
 
2011-04-10 14:24:33 vilius (at) lnk (dot) lt Comment #2 Reply to this comment
Confirmed.

Also, port and hostspec parameters for IMAP conflicts with the same 
parameters for SQL.
2011-04-10 13:41:23 xk3 (at) mompl (dot) org Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Security option for cyrsql not selectable
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
in /config/conf.xml in section cyrsql  (line 589):
   <configenum name="secure" desc="The
     the IMAP server." />none

shows only an empty dropdown box, nothing to select but required

QuickFix: replace with enum containing all three options none, ssl, 
and tls from one of the other sections

Saved Queries